Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JInternalFrameOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JInternalFrameOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JInternalFrameOperator
extends JComponentOperator
implements Outputable, Timeoutable

Class provides necessary functionality to operate with javax.swing.JInternalFrame component. Some methods can throw WrongInternalFrameStateException exception.
Timeouts used:
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.MouseClickTimeout - time between mouse pressing and releasing
AbstractButtonOperator.PushButtonTimeout - time between button pressing and releasing
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`, `JInternalFrameOperator.WrongInternalFrameStateException`

Inner Class Summary
`static class` | `JInternalFrameOperator.JDesktopIconOperator` Class to operate with javax.swing.JInternalFrame.JDesktopIconOperator component.
`static class` | `JInternalFrameOperator.JInternalFrameByTitleFinder` Allows to find component by title.
`static class` | `JInternalFrameOperator.JInternalFrameFinder` Checks component type.
`class` | `JInternalFrameOperator.WrongInternalFrameStateException` Exception can be throwht if as a result of an attempt to produce operation for the frame in incorrect state.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`protected JButtonOperator` | `closeOper` A close button.
`static java.lang.String` | `IS_RESIZABLE_DPROP` Identifier for a "resizable" property.
`static java.lang.String` | `IS_SELECTED_DPROP` Identifier for a "selected" property.
`protected JButtonOperator` | `maxOper` A maximizing button.
`protected JButtonOperator` | `minOper` A minimizing button.
`static java.lang.String` | `STATE_CLOSED_DPROP_VALUE` Identifier for a "closed" value of "state" property.
`static java.lang.String` | `STATE_DPROP` Identifier for a "state" property.
`static java.lang.String` | `STATE_ICONIFIED_DPROP_VALUE` Identifier for a "iconified" value of "state" property.
`static java.lang.String` | `STATE_MAXIMAZED_DPROP_VALUE` Identifier for a "maximized" value of "state" property.
`static java.lang.String` | `STATE_NORMAL_DPROP_VALUE` Identifier for a "normal" value of "state" property.
`static java.lang.String` | `TITLE_DPROP` Identifier for a "title" property.
`protected ContainerOperator` | `titleOperator` A title operator.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JInternalFrameOperator(ContainerOperator cont)` Constructor.
`JInternalFrameOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JInternalFrameOperator object.
`JInternalFrameOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JInternalFrameOperator object.
`JInternalFrameOperator(ContainerOperator cont, int index)` Constructor.
`JInternalFrameOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JInternalFrameOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JInternalFrameOperator(javax.swing.JInternalFrame b)` Constructor.

Method Summary
`void` | `activate()` Activates frame.
`void` | `addInternalFrameListener(javax.swing.event.InternalFrameListener internalFrameListener)` Maps `JInternalFrame.addInternalFrameListener(InternalFrameListener)` through queue
`void` | `close()` Closes the frame.
`void` | `deiconify()` Deiconifies frame.
`void` | `demaximize()` Demaximizes frame.
`void` | `dispose()` Maps `JInternalFrame.dispose()` through queue
`static javax.swing.JInternalFrame` | `findJInternalFrame(java.awt.Container cont, ComponentChooser chooser)` Searches JInternalframe in container.
`static javax.swing.JInternalFrame` | `findJInternalFrame(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JInternalframe in container.
`static javax.swing.JInternalFrame` | `findJInternalFrame(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches JInternalframe by title.
`static javax.swing.JInternalFrame` | `findJInternalFrame(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JInternalframe by title.
`static javax.swing.JInternalFrame` | `findJInternalFrameUnder(java.awt.Component comp)` Searches JInternalFrame object which component lies on.
`static javax.swing.JInternalFrame` | `findJInternalFrameUnder(java.awt.Component comp, ComponentChooser chooser)` Searches JInternalFrame object which component lies on.
`protected java.awt.Container` | `findTitlePane()` Uses InternalframeDriver to get a title pane.
`JButtonOperator` | `getCloseButton()` Waits for a close button inside the title pane.
`java.awt.Container` | `getContentPane()` Maps `JInternalFrame.getContentPane()` through queue
`int` | `getDefaultCloseOperation()` Maps `JInternalFrame.getDefaultCloseOperation()` through queue
`javax.swing.JInternalFrame.JDesktopIcon` | `getDesktopIcon()` Maps `JInternalFrame.getDesktopIcon()` through queue
`javax.swing.JDesktopPane` | `getDesktopPane()` Maps `JInternalFrame.getDesktopPane()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`javax.swing.Icon` | `getFrameIcon()` Maps `JInternalFrame.getFrameIcon()` through queue
`java.awt.Component` | `getGlassPane()` Maps `JInternalFrame.getGlassPane()` through queue
`JInternalFrameOperator.JDesktopIconOperator` | `getIconOperator()` Creates an operator for an desktop icon.
`javax.swing.JMenuBar` | `getJMenuBar()` Maps `JInternalFrame.getJMenuBar()` through queue
`int` | `getLayer()` Maps `JInternalFrame.getLayer()` through queue
`javax.swing.JLayeredPane` | `getLayeredPane()` Maps `JInternalFrame.getLayeredPane()` through queue
`JButtonOperator` | `getMaximizeButton()` Waits for a maximize button inside the title pane.
`JButtonOperator` | `getMinimizeButton()` Waits for a minimize button inside the title pane.
`TestOut` | `getOutput()` Returns print output streams or writers.
`Timeouts` | `getTimeouts()` Return current timeouts.
`java.lang.String` | `getTitle()` Maps `JInternalFrame.getTitle()` through queue
`ContainerOperator` | `getTitleOperator()` Waits for the title pane.
`javax.swing.plaf.InternalFrameUI` | `getUI()` Maps `JInternalFrame.getUI()` through queue
`java.lang.String` | `getWarningString()` Maps `JInternalFrame.getWarningString()` through queue
`void` | `iconify()` Iconifies frame.
`protected void` | `initOperators()` Initiaites suboperators.
`boolean` | `isClosable()` Maps `JInternalFrame.isClosable()` through queue
`boolean` | `isClosed()` Maps `JInternalFrame.isClosed()` through queue
`boolean` | `isIcon()` Maps `JInternalFrame.isIcon()` through queue
`boolean` | `isIconifiable()` Maps `JInternalFrame.isIconifiable()` through queue
`boolean` | `isMaximizable()` Maps `JInternalFrame.isMaximizable()` through queue
`boolean` | `isMaximum()` Maps `JInternalFrame.isMaximum()` through queue
`boolean` | `isResizable()` Maps `JInternalFrame.isResizable()` through queue
`boolean` | `isSelected()` Maps `JInternalFrame.isSelected()` through queue
`void` | `maximize()` Maximizes frame.
`void` | `move(int x, int y)` Moves frame to new location.
`void` | `moveToBack()` Maps `JInternalFrame.moveToBack()` through queue
`void` | `moveToFront()` Maps `JInternalFrame.moveToFront()` through queue
`void` | `pack()` Maps `JInternalFrame.pack()` through queue
`void` | `removeInternalFrameListener(javax.swing.event.InternalFrameListener internalFrameListener)` Maps `JInternalFrame.removeInternalFrameListener(InternalFrameListener)` through queue
`void` | `resize(int width, int height)` Resizes frame.
`void` | `scrollToFrame()` Scrolls to internal frame.
`void` | `scrollToRectangle(int x, int y, int width, int height)` Scrolls to internal frame's rectangle.
`void` | `scrollToRectangle(java.awt.Rectangle rect)` Scrolls to internal frame's rectangle.
`void` | `setClosable(boolean b)` Maps `JInternalFrame.setClosable(boolean)` through queue
`void` | `setClosed(boolean b)` Maps `JInternalFrame.setClosed(boolean)` through queue
`void` | `setContentPane(java.awt.Container container)` Maps `JInternalFrame.setContentPane(Container)` through queue
`void` | `setDefaultCloseOperation(int i)` Maps `JInternalFrame.setDefaultCloseOperation(int)` through queue
`void` | `setDesktopIcon(javax.swing.JInternalFrame.JDesktopIcon jDesktopIcon)` Maps `JInternalFrame.setDesktopIcon(JDesktopIcon)` through queue
`void` | `setFrameIcon(javax.swing.Icon icon)` Maps `JInternalFrame.setFrameIcon(Icon)` through queue
`void` | `setGlassPane(java.awt.Component component)` Maps `JInternalFrame.setGlassPane(Component)` through queue
`void` | `setIcon(boolean b)` Maps `JInternalFrame.setIcon(boolean)` through queue
`void` | `setIconifiable(boolean b)` Maps `JInternalFrame.setIconifiable(boolean)` through queue
`void` | `setJMenuBar(javax.swing.JMenuBar jMenuBar)` Maps `JInternalFrame.setJMenuBar(JMenuBar)` through queue
`void` | `setLayer(java.lang.Integer integer)` Maps `JInternalFrame.setLayer(Integer)` through queue
`void` | `setLayeredPane(javax.swing.JLayeredPane jLayeredPane)` Maps `JInternalFrame.setLayeredPane(JLayeredPane)` through queue
`void` | `setMaximizable(boolean b)` Maps `JInternalFrame.setMaximizable(boolean)` through queue
`void` | `setMaximum(boolean b)` Maps `JInternalFrame.setMaximum(boolean)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setResizable(boolean b)` Maps `JInternalFrame.setResizable(boolean)` through queue
`void` | `setSelected(boolean b)` Maps `JInternalFrame.setSelected(boolean)` through queue
`void` | `setTimeouts(Timeouts times)` Defines current timeouts.
`void` | `setTitle(java.lang.String string)` Maps `JInternalFrame.setTitle(String)` through queue
`void` | `setUI(javax.swing.plaf.InternalFrameUI internalFrameUI)` Maps `JInternalFrame.setUI(InternalFrameUI)` through queue
`void` | `toBack()` Maps `JInternalFrame.toBack()` through queue
`void` | `toFront()` Maps `JInternalFrame.toFront()` through queue
`void` | `waitIcon(boolean icon)` Waits for the frame to be iconified or deiconified.
`static javax.swing.JInternalFrame` | `waitJInternalFrame(java.awt.Container cont, ComponentChooser chooser)` Waits JInternalframe in container.
`static javax.swing.JInternalFrame` | `waitJInternalFrame(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JInternalframe in container.
`static javax.swing.JInternalFrame` | `waitJInternalFrame(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits JInternalframe by title.
`static javax.swing.JInternalFrame` | `waitJInternalFrame(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JInternalframe by title.
`void` | `waitMaximum(boolean maximum)` Waits for the frame to be maximized or demaximized.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE_DPROP

    public static final java.lang.String TITLE_DPROP

  Identifier for a "title" property.
  See Also:
    `getDump()`

### STATE_DPROP

    public static final java.lang.String STATE_DPROP

  Identifier for a "state" property.
  See Also:
    `getDump()`

### STATE_NORMAL_DPROP_VALUE

    public static final java.lang.String STATE_NORMAL_DPROP_VALUE

  Identifier for a "normal" value of "state" property.
  See Also:
    `getDump()`

### STATE_CLOSED_DPROP_VALUE

    public static final java.lang.String STATE_CLOSED_DPROP_VALUE

  Identifier for a "closed" value of "state" property.
  See Also:
    `getDump()`

### STATE_ICONIFIED_DPROP_VALUE

    public static final java.lang.String STATE_ICONIFIED_DPROP_VALUE

  Identifier for a "iconified" value of "state" property.
  See Also:
    `getDump()`

### STATE_MAXIMAZED_DPROP_VALUE

    public static final java.lang.String STATE_MAXIMAZED_DPROP_VALUE

  Identifier for a "maximized" value of "state" property.
  See Also:
    `getDump()`

### IS_RESIZABLE_DPROP

    public static final java.lang.String IS_RESIZABLE_DPROP

  Identifier for a "resizable" property.
  See Also:
    `getDump()`

### IS_SELECTED_DPROP

    public static final java.lang.String IS_SELECTED_DPROP

  Identifier for a "selected" property.
  See Also:
    `getDump()`

### minOper

    protected JButtonOperator minOper

  A minimizing button.

### maxOper

    protected JButtonOperator maxOper

  A maximizing button.

### closeOper

    protected JButtonOperator closeOper

  A close button.

### titleOperator

    protected ContainerOperator titleOperator

  A title operator.

Constructor Detail

### JInternalFrameOperator

    public JInternalFrameOperator(javax.swing.JInternalFrame b)

  Constructor.
  Parameters:
    `b` - a component

### JInternalFrameOperator

    public JInternalFrameOperator(ContainerOperator cont,
                                  ComponentChooser chooser,
                                  int index)

  Constructs a JInternalFrameOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JInternalFrameOperator

    public JInternalFrameOperator(ContainerOperator cont,
                                  ComponentChooser chooser)

  Constructs a JInternalFrameOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JInternalFrameOperator

    public JInternalFrameOperator(ContainerOperator cont,
                                  java.lang.String text,
                                  int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JInternalFrameOperator

    public JInternalFrameOperator(ContainerOperator cont,
                                  java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JInternalFrameOperator

    public JInternalFrameOperator(ContainerOperator cont,
                                  int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.

### JInternalFrameOperator

    public JInternalFrameOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container

Method Detail

### findJInternalFrame

    public static javax.swing.JInternalFrame findJInternalFrame(java.awt.Container cont,
                                                                ComponentChooser chooser,
                                                                int index)

  Searches JInternalframe in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JInternalframe instance or null if component was not found.

### findJInternalFrame

    public static javax.swing.JInternalFrame findJInternalFrame(java.awt.Container cont,
                                                                ComponentChooser chooser)

  Searches JInternalframe in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JInternalframe instance or null if component was not found.

### findJInternalFrame

    public static javax.swing.JInternalFrame findJInternalFrame(java.awt.Container cont,
                                                                java.lang.String text,
                                                                boolean ce,
                                                                boolean ccs,
                                                                int index)

  Searches JInternalframe by title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JInternalframe instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJInternalFrame

    public static javax.swing.JInternalFrame findJInternalFrame(java.awt.Container cont,
                                                                java.lang.String text,
                                                                boolean ce,
                                                                boolean ccs)

  Searches JInternalframe by title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JInternalframe instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJInternalFrameUnder

    public static javax.swing.JInternalFrame findJInternalFrameUnder(java.awt.Component comp,
                                                                     ComponentChooser chooser)

  Searches JInternalFrame object which component lies on.
  Parameters:
    `comp` - Component to find JInternalFrame under.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JInternalFrame instance or null if component was not found.

### findJInternalFrameUnder

    public static javax.swing.JInternalFrame findJInternalFrameUnder(java.awt.Component comp)

  Searches JInternalFrame object which component lies on.
  Parameters:
    `comp` - Component to find JInternalFrame under.
  Returns:
    JInternalFrame instance or null if component was not found.

### waitJInternalFrame

    public static javax.swing.JInternalFrame waitJInternalFrame(java.awt.Container cont,
                                                                ComponentChooser chooser,
                                                                int index)

  Waits JInternalframe in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JInternalframe instance.

### waitJInternalFrame

    public static javax.swing.JInternalFrame waitJInternalFrame(java.awt.Container cont,
                                                                ComponentChooser chooser)

  Waits JInternalframe in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JInternalframe instance.

### waitJInternalFrame

    public static javax.swing.JInternalFrame waitJInternalFrame(java.awt.Container cont,
                                                                java.lang.String text,
                                                                boolean ce,
                                                                boolean ccs,
                                                                int index)

  Waits JInternalframe by title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JInternalframe instance.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJInternalFrame

    public static javax.swing.JInternalFrame waitJInternalFrame(java.awt.Container cont,
                                                                java.lang.String text,
                                                                boolean ce,
                                                                boolean ccs)

  Waits JInternalframe by title.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JInternalframe instance.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### setTimeouts

    public void setTimeouts(Timeouts times)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### iconify

    public void iconify()

  Iconifies frame. Note: frame should not be iconified and should be iconifiable.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### deiconify

    public void deiconify()

  Deiconifies frame. Note: frame should be iconified.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### maximize

    public void maximize()

  Maximizes frame. Note: frame should not be iconified.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### demaximize

    public void demaximize()

  Demaximizes frame. Note: frame should not be iconified.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### move

    public void move(int x,
                     int y)

  Moves frame to new location. Note: frame should not be iconified.
  Parameters:
    `x` - X coordinate of a new frame location.
    `y` - Y coordinate of a new frame location.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### resize

    public void resize(int width,
                       int height)

  Resizes frame. Note: frame should not be iconified.
  Parameters:
    `width` - New frame width.
    `height` - New frame height.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### activate

    public void activate()

  Activates frame. Note: frame should not be iconified.
  Throws:
    `JInternalFrameOperator.WrongInternalFrameStateException` -

### close

    public void close()

  Closes the frame.

### scrollToRectangle

    public void scrollToRectangle(int x,
                                  int y,
                                  int width,
                                  int height)

  Scrolls to internal frame's rectangle.
  Parameters:
    `x` - Horizontal rectangle coordinate
    `y` - Vertical rectangle coordinate
    `width` - rectangle width
    `height` - rectangle height

### scrollToRectangle

    public void scrollToRectangle(java.awt.Rectangle rect)

  Scrolls to internal frame's rectangle.
  Parameters:
    `rect` - a rectangle to scroll to.

### scrollToFrame

    public void scrollToFrame()

  Scrolls to internal frame.

### getMinimizeButton

    public JButtonOperator getMinimizeButton()

  Waits for a minimize button inside the title pane.
  Returns:
    a button operator

### getMaximizeButton

    public JButtonOperator getMaximizeButton()

  Waits for a maximize button inside the title pane.
  Returns:
    a button operator

### getCloseButton

    public JButtonOperator getCloseButton()

  Waits for a close button inside the title pane.
  Returns:
    a button operator

### getTitleOperator

    public ContainerOperator getTitleOperator()

  Waits for the title pane.
  Returns:
    a button operator

### getIconOperator

    public JInternalFrameOperator.JDesktopIconOperator getIconOperator()

  Creates an operator for an desktop icon.
  Returns:
    an icon operator.

### waitIcon

    public void waitIcon(boolean icon)

  Waits for the frame to be iconified or deiconified.
  Parameters:
    `icon` - whether the frame needs to be iconified.

### waitMaximum

    public void waitMaximum(boolean maximum)

  Waits for the frame to be maximized or demaximized.
  Parameters:
    `maximum` - whether the frame needs to be maximized.

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addInternalFrameListener

    public void addInternalFrameListener(javax.swing.event.InternalFrameListener internalFrameListener)

  Maps `JInternalFrame.addInternalFrameListener(InternalFrameListener)` through queue

### dispose

    public void dispose()

  Maps `JInternalFrame.dispose()` through queue

### getContentPane

    public java.awt.Container getContentPane()

  Maps `JInternalFrame.getContentPane()` through queue

### getDefaultCloseOperation

    public int getDefaultCloseOperation()

  Maps `JInternalFrame.getDefaultCloseOperation()` through queue

### getDesktopIcon

    public javax.swing.JInternalFrame.JDesktopIcon getDesktopIcon()

  Maps `JInternalFrame.getDesktopIcon()` through queue

### getDesktopPane

    public javax.swing.JDesktopPane getDesktopPane()

  Maps `JInternalFrame.getDesktopPane()` through queue

### getFrameIcon

    public javax.swing.Icon getFrameIcon()

  Maps `JInternalFrame.getFrameIcon()` through queue

### getGlassPane

    public java.awt.Component getGlassPane()

  Maps `JInternalFrame.getGlassPane()` through queue

### getJMenuBar

    public javax.swing.JMenuBar getJMenuBar()

  Maps `JInternalFrame.getJMenuBar()` through queue

### getLayer

    public int getLayer()

  Maps `JInternalFrame.getLayer()` through queue

### getLayeredPane

    public javax.swing.JLayeredPane getLayeredPane()

  Maps `JInternalFrame.getLayeredPane()` through queue

### getTitle

    public java.lang.String getTitle()

  Maps `JInternalFrame.getTitle()` through queue

### getUI

    public javax.swing.plaf.InternalFrameUI getUI()

  Maps `JInternalFrame.getUI()` through queue

### getWarningString

    public java.lang.String getWarningString()

  Maps `JInternalFrame.getWarningString()` through queue

### isClosable

    public boolean isClosable()

  Maps `JInternalFrame.isClosable()` through queue

### isClosed

    public boolean isClosed()

  Maps `JInternalFrame.isClosed()` through queue

### isIcon

    public boolean isIcon()

  Maps `JInternalFrame.isIcon()` through queue

### isIconifiable

    public boolean isIconifiable()

  Maps `JInternalFrame.isIconifiable()` through queue

### isMaximizable

    public boolean isMaximizable()

  Maps `JInternalFrame.isMaximizable()` through queue

### isMaximum

    public boolean isMaximum()

  Maps `JInternalFrame.isMaximum()` through queue

### isResizable

    public boolean isResizable()

  Maps `JInternalFrame.isResizable()` through queue

### isSelected

    public boolean isSelected()

  Maps `JInternalFrame.isSelected()` through queue

### moveToBack

    public void moveToBack()

  Maps `JInternalFrame.moveToBack()` through queue

### moveToFront

    public void moveToFront()

  Maps `JInternalFrame.moveToFront()` through queue

### pack

    public void pack()

  Maps `JInternalFrame.pack()` through queue

### removeInternalFrameListener

    public void removeInternalFrameListener(javax.swing.event.InternalFrameListener internalFrameListener)

  Maps `JInternalFrame.removeInternalFrameListener(InternalFrameListener)` through queue

### setClosable

    public void setClosable(boolean b)

  Maps `JInternalFrame.setClosable(boolean)` through queue

### setClosed

    public void setClosed(boolean b)

  Maps `JInternalFrame.setClosed(boolean)` through queue

### setContentPane

    public void setContentPane(java.awt.Container container)

  Maps `JInternalFrame.setContentPane(Container)` through queue

### setDefaultCloseOperation

    public void setDefaultCloseOperation(int i)

  Maps `JInternalFrame.setDefaultCloseOperation(int)` through queue

### setDesktopIcon

    public void setDesktopIcon(javax.swing.JInternalFrame.JDesktopIcon jDesktopIcon)

  Maps `JInternalFrame.setDesktopIcon(JDesktopIcon)` through queue

### setFrameIcon

    public void setFrameIcon(javax.swing.Icon icon)

  Maps `JInternalFrame.setFrameIcon(Icon)` through queue

### setGlassPane

    public void setGlassPane(java.awt.Component component)

  Maps `JInternalFrame.setGlassPane(Component)` through queue

### setIcon

    public void setIcon(boolean b)

  Maps `JInternalFrame.setIcon(boolean)` through queue

### setIconifiable

    public void setIconifiable(boolean b)

  Maps `JInternalFrame.setIconifiable(boolean)` through queue

### setJMenuBar

    public void setJMenuBar(javax.swing.JMenuBar jMenuBar)

  Maps `JInternalFrame.setJMenuBar(JMenuBar)` through queue

### setLayer

    public void setLayer(java.lang.Integer integer)

  Maps `JInternalFrame.setLayer(Integer)` through queue

### setLayeredPane

    public void setLayeredPane(javax.swing.JLayeredPane jLayeredPane)

  Maps `JInternalFrame.setLayeredPane(JLayeredPane)` through queue

### setMaximizable

    public void setMaximizable(boolean b)

  Maps `JInternalFrame.setMaximizable(boolean)` through queue

### setMaximum

    public void setMaximum(boolean b)

  Maps `JInternalFrame.setMaximum(boolean)` through queue

### setResizable

    public void setResizable(boolean b)

  Maps `JInternalFrame.setResizable(boolean)` through queue

### setSelected

    public void setSelected(boolean b)

  Maps `JInternalFrame.setSelected(boolean)` through queue

### setTitle

    public void setTitle(java.lang.String string)

  Maps `JInternalFrame.setTitle(String)` through queue

### setUI

    public void setUI(javax.swing.plaf.InternalFrameUI internalFrameUI)

  Maps `JInternalFrame.setUI(InternalFrameUI)` through queue

### toBack

    public void toBack()

  Maps `JInternalFrame.toBack()` through queue

### toFront

    public void toFront()

  Maps `JInternalFrame.toFront()` through queue

### findTitlePane

    protected java.awt.Container findTitlePane()

  Uses InternalframeDriver to get a title pane.
  Returns:
    a title pane.

### initOperators

    protected void initOperators()

  Initiaites suboperators.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD